# Collector App for CRITTERBASE

The Collector App is a platform independent (macOS, Linux and Windows) software that is written in Python. The Collector App allows to check biological data for their quality and convert them into CRITTERBASE, a science-driven PostgreSQL data warehouse for marine biota. For any further data processing and statistical analysis or modelling approach, the respective data can be queried directly via SQL from your CRITTERBASE data warehouse.


## Getting started

## Install PostgreSQL 

Install PostgreSQL 13.4+ including the PostgreSQL command line tools.


## Install Python 

Install Python 3.9.6+.


## Install Python modules

Windows/macOS/Linux:

Terminal/Console:
```
pip3 install --user folium xlsxwriter psycopg2-binary openpyxl requests psutil --upgrade
pip3 install --user PyQt5 PyQtWebEngine --upgrade
```
or use the requirements.txt file
```
cd <path to the directory of the program>
pip3 install -r requirements.txt
```

## Start the Collector App

Windows:
Double click on the file start.pyw

macOS and Linux:
Terminal/Console:
```
cd <path to the directory of the program>
python3 start.pyw
```

## Contributing

We follow some rules for collaboration and contributions. Please have a look at https://spaces.awi.de/x/bu7FEw and https://spaces.awi.de/x/XqtrF.


## Authors

Paul Kloss: paul.kloss@awi.de


## License

We are using a [BSD-3 license](LICENSE) for our work.

This repository contains dependency libraries to works of other authors. Libraries have and keep their own licenses. We highly appreciate the work of these authors.


## Acknowledgments

Katharina Teschke: katharina.teschke@awi.de
Jennifer Dannheim: jennifer.dannheim@awi.de
Dieter Piepenburg: dieter.piepenburg@awi.de
Casper Kraan: casper.kraan@thuenen.de
Jan Beermann: jan.beermann@awi.de
Rebecca Konijnenberg: rebecca.konijnenberg@awi.de
Roland Koppe: roland.koppe@awi.de
Alexa Wrede: alexa.wrede@awi.de
Thomas Brey: thomas.brey@awi.de

