-- FK Indexes
CREATE INDEX fki_cruise_ingest ON cb_empty.cruise USING btree (ingest_id);
CREATE INDEX fki_cruise_possys ON cb_empty.cruise USING btree (positioningsystem_id);
CREATE INDEX fki_cruise_crs ON cb_empty.cruise USING btree (crs_id);
CREATE INDEX fki_cruise_ship ON cb_empty.cruise USING btree (ship_id);
CREATE INDEX fki_cruise_person ON cb_empty.cruise USING btree (lead_person_id);

CREATE INDEX fki_station_ingest ON cb_empty.station USING btree (ingest_id);
CREATE INDEX fki_station_cruise ON cb_empty.station USING btree (cruise_id);
CREATE INDEX fki_station_person ON cb_empty.station USING btree (responsible_person_id);

CREATE INDEX fki_sample_ingest ON cb_empty.sample USING btree (ingest_id);
CREATE INDEX fki_sample_station ON cb_empty.sample USING btree (station_id);
CREATE INDEX fki_sample_person ON cb_empty.sample USING btree (responsible_person_id);
CREATE INDEX fki_sample_gear ON cb_empty.sample USING btree (gear_id);

CREATE INDEX fki_subsample_ingest ON cb_empty.subsample USING btree (ingest_id);
CREATE INDEX fki_subsample_sample ON cb_empty.subsample USING btree (sample_id);

CREATE INDEX fki_subset_ingest ON cb_empty.subset USING btree (ingest_id);
CREATE INDEX fki_subset_subsample ON cb_empty.subset USING btree (subsample_id);
CREATE INDEX fki_subset_dataset ON cb_empty.subset USING btree (dataset_id);
CREATE INDEX fki_subset_taxcover ON cb_empty.subset USING btree (taxcover_id);

CREATE INDEX fki_biota_ingest ON cb_empty.biota USING btree (ingest_id);
CREATE INDEX fki_biota_subset ON cb_empty.biota USING btree (subset_id);
CREATE INDEX fki_biota_taxon ON cb_empty.biota USING btree (taxon_id);
CREATE INDEX fki_biota_lifestage ON cb_empty.biota USING btree (lifestage_id);

CREATE INDEX fki_indmeasure_ingest ON cb_empty.indmeasure USING btree (ingest_id);
CREATE INDEX fki_indmeasure_biota ON cb_empty.indmeasure USING btree (biota_id);

CREATE INDEX fki_sediment_ingest ON cb_empty.sediment USING btree (ingest_id);
CREATE INDEX fki_sediment_subset ON cb_empty.sediment USING btree (subset_id);

CREATE INDEX fki_dataset_person ON cb_empty.dataset USING btree (contact_person_id);
CREATE INDEX fki_dataset_country ON cb_empty.dataset USING btree (owner_country_id);

CREATE INDEX fki_sample2region_sample ON cb_empty.region2sample USING btree (sample_id);
CREATE INDEX fki_sample2region_region ON cb_empty.region2sample USING btree (region_id);