#!/bin/bash

# Info: Noetige PyQt Version: PyQt5==5.10.0

# Standardkodierung definieren (wichtig für das Lesen von Dateien)
export LANG=de_DE.UTF-8

# Definitionen
PY_MODULE="folium,xlsxwriter,psycopg2,PyQt5,PyQt5.QtWebEngineWidgets,openpyxl,requests,psutil"
PY_MODULE_PIP="folium xlsxwriter psycopg2-binary PyQt5 PyQtWebEngine openpyxl requests psutil"
INFO_INST_MANUELL="Please install Python3.7 first:\nhttps://www.python.org/downloads\n\nThen install the following modules in the command line:\npip3 install --user $PY_MODULE_PIP"

function info_section(){
echo | tee -a start.log.txt
echo '-----------------------------------------------------' | tee -a start.log.txt
echo $* | tee -a start.log.txt
echo '-----------------------------------------------------' | tee -a start.log.txt
echo | tee -a start.log.txt
}

# Teste Rueckgabewert
function check_prg(){
    eval "$*" >> start.log.txt 2>&1
    if test $? -ne 0; then RETURN=false; else RETURN=true; fi
}

# Pfade holen, damit Python3 gefunden wird
source /etc/profile
source ~/.bash_profile

# Wechsel in Verzeichnis indem dieses Programm liegt
DIR="$(dirname "$0")"
cd $DIR

# Notification
#osascript -e 'display notification "checking components ..." with title "CRITTERBASE" sound name "tink"'
afplay /System/Library/Sounds/Frog.aiff

# Log
touch start.log.txt
echo > start.log.txt
echo | tee -a start.log.txt
echo '   ___ ___ ___ _____ _____ ___ ___ ___   _   ___ ___ ' | tee -a start.log.txt
echo '  / __| _ \_ _|_   _|_   _| __| _ \ _ ) /_\ / __| __|' | tee -a start.log.txt
echo ' | (__|   /| |  | |   | | | _||   / _ \/ _ \\__ \ _| ' | tee -a start.log.txt
echo '  \___|_|_\___| |_|   |_| |___|_|_\___/_/ \_\___/___|' | tee -a start.log.txt
echo '                                                     ' | tee -a start.log.txt
echo '=====================================================' | tee -a start.log.txt
echo '                       Start up ... ' | tee -a start.log.txt
echo '=====================================================' | tee -a start.log.txt

# ---

# Teste Abhaengigkeiten
info_section "Checking dependencies"
check_prg 'python3 -c "import '$PY_MODULE'"'

# *** Alles OK (Start)
if $RETURN; then
    afplay /System/Library/Sounds/Glass.aiff
    echo 'All components found' | tee -a start.log.txt
    info_section "Summary"
    echo 'Everything is fine' | tee -a start.log.txt
    echo 'Starting Collector App ...' | tee -a start.log.txt
    #osascript -e 'display notification "starting Collector App ..." with title "CRITTERBASE" subtitle "all components found" sound name "glass"'
    python3 critterbase.py -gui fusion
    exit 0
fi

# *** Fehler (Repair/Manual)
afplay /System/Library/Sounds/Submarine.aiff

echo "Missing components"
info_section "Summary"
echo 'Something went wrong' | tee -a start.log.txt
#open -a TextEdit start.log.txt

#osascript -e 'display notification "components missing" with title "CRITTERBASE" sound name "submarine"'

# Frage (Repair/Manual)
RET=$(osascript -e 'display alert "Missing components" message "Do you want to install the missing components manually or should I start the repair tool?" as critical buttons {"Repair","Install manually"} default button 1')
echo $RET

# Manual Installation
if test "$RET" = "button returned:Install manually"; then
    #osascript -e 'display notification "install manually ..." with title "CRITTERBASE" sound name "submarine"'
    osascript -e 'display alert "Manual installation" message "'"$INFO_INST_MANUELL"'"'
    exit 0
fi

# Repair Script
#osascript -e 'display notification "starting repair tool ..." with title "CRITTERBASE" sound name "submarine"'
open -a Terminal "install.sh"
